%global modname narcissus.app

Name:               python-narcissus-app
Version:            0.9.1
Release:            11%{?dist}
Summary:            WSGI components for Narcissus, realtime log visualization
Group:              Development/Libraries
License:            AGPLv3+
URL:                http://pypi.python.org/pypi/narcissus.app
Source0:            http://pypi.python.org/packages/source/n/%{modname}/%{modname}-%{version}.tar.gz
Source1:            narcissus.ini
Source2:            narcissus.conf
Source3:            narcissus.wsgi

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python2-narcissus-common
BuildRequires:      python2-flask
BuildRequires:      python2-moksha-wsgi
BuildRequires:      python2-tw2-polymaps
BuildRequires:      python2-tw2-jqplugins-jqplot
BuildRequires:      python2-tw2-slideymenu

%global _description\
This package contains the wsgi components for narcissus.  Narcissus\
is a web application that visualizes web server hits as they happen\
in real time.\
\
Features:\
\
 * IP addresses converted to latitude/longitude, then streamed via\
   WebSockets to `polymaps <http://polymaps.org/>`_.\
 * Realtime graphs of what countries are downloading what content\
   with `d3 <http://d3js.org>`_.\
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.\
 * **Fast**.  No polling.\
\
You can see a demo running live at http://narcissus.rc.rit.edu\
It is visualizing the logs of http://mirror.rit.edu

%description %_description

%package -n python2-narcissus-app
Summary: %summary
Requires:           python2-narcissus-common
Requires:           python2-flask
Requires:           python2-moksha-wsgi
Requires:           python2-tw2-polymaps
Requires:           python2-tw2-jqplugins-jqplot
Requires:           python2-tw2-slideymenu
%{?python_provide:%python_provide python2-narcissus-app}

%description -n python2-narcissus-app %_description

%package -n narcissus-app
Summary:    WSGI app for Narcissus, realtime log visualization
Group:      Applications/Internet
Requires:   python2-narcissus-app = %{version}-%{release}
Requires:   httpd
Requires:   python2-mod_wsgi

%description -n narcissus-app
This package contains the wsgi app for narcissus.  Narcissus is a
web application that visualizes web server hits as they happen
in real time.

Features:

 * IP addresses converted to latitude/longitude, then streamed via
   WebSockets to `polymaps <http://polymaps.org/>`_.
 * Realtime graphs of what countries are downloading what content
   with `d3 <http://d3js.org>`_.
 * `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
 * **Fast**.  No polling.

You can see a demo running live at http://narcissus.rc.rit.edu
It is visualizing the logs of http://mirror.rit.edu

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d/
%{__mkdir_p} %{buildroot}%{_datadir}/narcissus/
%{__cp} %{SOURCE1} %{buildroot}%{_sysconfdir}/narcissus.ini
%{__cp} %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/narcissus.conf
%{__cp} %{SOURCE3} %{buildroot}%{_datadir}/narcissus/narcissus.wsgi

%files -n python2-narcissus-app
%doc README.rst LICENSE
%{python_sitelib}/narcissus/app/
%{python_sitelib}/%{modname}-%{version}*

# Development server
%{_bindir}/narcissus.app-serve

%files -n narcissus-app
%{_datadir}/narcissus/narcissus.wsgi
%config(noreplace) %{_sysconfdir}/httpd/conf.d/narcissus.conf
%config(noreplace) %{_sysconfdir}/narcissus.ini

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.9.1-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-9
- Python 2 binary package renamed to python2-narcissus-app
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 0.9.1-1
- Initial package for Fedora
